Skip to end of metadata
Go to start of metadata

This page provides a reference to Ed-Fi Technical Suites and their compatibility with specific product and service versions. Links are provided to the most relevant documentation (which in turn provide links to code or other technical resources).

Technical Suite Three

ProductSupportedOut of SupportNotes
Ed-Fi ODS / API

v5.2

(DS v3.3.0-a, TPDM 1.0)

v5.1

(DS v3.2.0-c,

TPDM 0.8)

v5.0

(DS v3.2.0-c,

TPDM 0.8)

v3.4.1

(DS v3.2.0-b)

v3.3

(DS v3.2.0-a)

v3.2.x, v3.1.x, v3.0


ODS / API Admin Appv2.2v1.8.1v1.7v1.6, v1.5.x
Data Importv1.2v1.1.1v1.0.x, v1.1.0
Analytics Middle Tierv2.1-2.3v2.0.0
MetaEd IDEv2.5

v2.4 and  lower


MappingEDU
v1.0

Docker Deployment
v1.1.0


Tech Suite Installer
March 2021 EditionSept 2020 EditionApril 2020 Edition


ODS Migration Utility


v 2.0.0, v1.x
Sample Data Generator


v1.2v1.1.x, v1.0
  • Sample Data Generator v1.2 supports data standard v3.2-a and earlier
Ed-Fi Dashboards
v3.0.1v3.0

Technical Suite Two


SupportedOut of SupportNotes
Ed-Fi ODS / APIv2.6, v2.5v2.4 and lower
ODS / API Admin Appv1.5.1, v1.5

Data Import v1.2v1.1.1v1.0.x, v1.1.0
  • Tested with ODS / API v2.5 and later.
Analytics Middle Tierv2.1-2.3v2.0.0
MetaEd IDEv2.2v2.1, v2.0, v1.x
MappingEDUv1.0
  • Current version online.
Sample Data Generatorv1.2v1.1.x, v1.0
Ed-Fi Dashboards
v2.0.3, v2.0.2
Ed-Fi Validation Tool v1.5
  • The Ed-Fi validation tool has been retired

Technical Suite One (Out of Support)


SupportedOut of SupportNotes
Ed-Fi ODS
v1.xAll 1.x versions out of support
Ed-Fi Dashboards
All versions <= 1.4



  • No labels